CentOS7.1下python2.7.10安装PyQt4

新人肯定跟我一样,那就是plt.show()在Linux环境下不显示,后来才明白,这是matplotlib依赖图形环境,有兴趣的可以去了解下matplotlib后端(Backend )相关知识.下面安装PyQt4解决.

1.安装sip
[root@p168 ~]# wget http://downloads.sourceforge.net/project/pyqt/sip/sip-4.17/sip-4.17.tar.gz
[root@p168 ~]# tar xvf sip-4.17.tar.gz
[root@p168 ~]# cd sip-4.17
[root@p168 sip-4.17]# python configure.py
[root@p168 sip-4.17]#  make & make install & make clean

2.通过安装qscintilla安装qt
[root@p168 ~]#yum -y install epel-release
[root@p168 ~]#yum install qscintilla*


3.安装pyqt4
[root@p168 ~]# wget http://downloads.sourceforge.net/project/pyqt/PyQt4/PyQt-4.11.4/PyQt-x11-gpl-4.11.4.tar.gz
[root@p168 ~]# tar xvf PyQt-x11-gpl-4.11.4.tar.gz
[root@p168 ~]# cd PyQt-x11-gpl-4.11.4
[root@p168 PyQt-x11-gpl-4.11.4]# python configure.py -q  /usr/lib64/qt4/bin/qmake
[root@p168 PyQt-x11-gpl-4.11.4]# make & make install & make clean

4.测试
[root@p168 PyQt-x11-gpl-4.11.4]# python
Python 2.7.10 (default, Dec  7 2015, 15:42:49) 
[GCC 4.8.3 20140911 (Red Hat 4.8.3-9)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import PyQt4
>>> import matplotlib
>>> matplotlib.use('qt4agg')
>>> import matplotlib.pyplot as plt
>>> plt.plot([1,2,3])
>>> plt.show()
>>> exit()

  • 1
    点赞
  • 0
    收藏
  • 打赏
    打赏
  • 1
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
©️2022 CSDN 皮肤主题:大白 设计师:CSDN官方博客 返回首页
评论 1

打赏作者

gzJustCoding

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值